summaryrefslogtreecommitdiffstats
path: root/system/f3
diff options
context:
space:
mode:
author Konrad J Hambrick2017-01-01 01:21:16 +0100
committer Willy Sudiarto Raharjo2017-01-01 01:21:16 +0100
commitecce385615243a8d5e284c672a0d4cf375c7eef5 (patch)
tree9184b51ad966da2c3bdada30f695760990c591c2 /system/f3
parent39a3fb50bfb3aa74f3d37aea320fdedc54dc8fe5 (diff)
downloadslackbuilds-ecce385615243a8d5e284c672a0d4cf375c7eef5.tar.gz
system/f3: Added (Fix Fake Flash).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'system/f3')
-rw-r--r--system/f3/README14
-rw-r--r--system/f3/README.SBo27
-rw-r--r--system/f3/f3.SlackBuild80
-rw-r--r--system/f3/f3.info10
-rw-r--r--system/f3/slack-desc19
5 files changed, 150 insertions, 0 deletions
diff --git a/system/f3/README b/system/f3/README
new file mode 100644
index 0000000000..17efcaa091
--- /dev/null
+++ b/system/f3/README
@@ -0,0 +1,14 @@
+F3 (Fix Fake Flash) is an open source Linux software to test flash
+memory capacity. There are two programs, one to read and one to
+write files to the item being tested.
+ALL of these programs should probably be run as root !
+
+Also included are experimental programs f3probe, f3brew, and f3fix.
+To include f3probe, f3brew, and f3fix in the SlackBuild Package:
+
+ EXPERIMENTAL=YES ./f3.Slackbuild
+
+The author also included two shell script wrappers that
+will be installed as /usr/doc/f3-6.0/{log-f3wr,f3write.h2w}
+
+In order to use these scripts as is, they must be moved to /usr/bin/
diff --git a/system/f3/README.SBo b/system/f3/README.SBo
new file mode 100644
index 0000000000..409dfbb2a9
--- /dev/null
+++ b/system/f3/README.SBo
@@ -0,0 +1,27 @@
+## Use example of f3write/f3read
+
+```
+$ ./f3write /media/michel/5EBD-5C80/
+$ ./f3read /media/michel/5EBD-5C80/
+```
+
+Please replace "/media/michel/5EBD-5C80/" with the appropriate path.
+USB devices are mounted in "/Volumes" on Macs.
+
+For more information see http://oss.digirati.com.br/f3/
+
+### Bash scripts
+
+Although the simple scripts listed in this section are ready for use,
+they are really meant to help you to write your own scripts.
+So you can personalize F3 to your specific needs.
+
+ f3write.h2w - Script to create files exactly like H2testw.
+ Use example: `f3write.h2w /media/michel/5EBD-5C80/`
+
+ log-f3wr - Script that runs f3write and f3read, and records
+ their output into a log file.
+ Use example: `log-f3wr log-filename /media/michel/5EBD-5C80/`
+
+Please notice that all scripts and use examples above assume that
+f3write, f3read, and the scripts are in the same folder.
diff --git a/system/f3/f3.SlackBuild b/system/f3/f3.SlackBuild
new file mode 100644
index 0000000000..560dbc217d
--- /dev/null
+++ b/system/f3/f3.SlackBuild
@@ -0,0 +1,80 @@
+#!/bin/sh
+#
+# Slackware build script for f3
+#
+# adapted by Konrad J Hambrick <kjhambrick@gmail.com>
+
+PRGNAM="f3"
+VERSION=${VERSION:-6.0}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=${PKG:-$TMP/package-$PRGNAM}
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+unzip $CWD/$PRGNAM-$VERSION
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+# Fix man path
+sed -i "s|share/man|man|g" Makefile
+
+make PREFIX=$PKG/usr
+make install PREFIX=$PKG/usr
+
+#
+# optionally make f3probe, f3brew and f3fix
+#
+if [ "$EXPERIMENTAL" = "YES" ]; then
+ make experimental PREFIX=$PKG/usr && make install-experimental PREFIX=$PKG/usr
+fi
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+install -m 0644 changelog README.md LICENSE $PKG/usr/doc/$PRGNAM-$VERSION
+install -m 0755 log-f3wr f3write.h2w $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+cat $CWD/README.SBo > $PKG/usr/doc/$PRGNAM-$VERSION/README.SBo
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/system/f3/f3.info b/system/f3/f3.info
new file mode 100644
index 0000000000..07b67ad204
--- /dev/null
+++ b/system/f3/f3.info
@@ -0,0 +1,10 @@
+PRGNAM="f3"
+VERSION="6.0"
+HOMEPAGE="http://oss.digirati.com.br/f3/"
+DOWNLOAD="https://github.com/AltraMayor/f3/archive/v6.0/f3-6.0.zip"
+MD5SUM="b38abfb1c35996e4d193d3be694b4448"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Konrad J Hambrick"
+EMAIL="kjhambrick@gmail.com"
diff --git a/system/f3/slack-desc b/system/f3/slack-desc
new file mode 100644
index 0000000000..8253002b41
--- /dev/null
+++ b/system/f3/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+f3: f3 (Fix Fake Flash)
+f3:
+f3: F3 is an open source Linux software to test flash memory capacity.
+f3:
+f3: F3 is composed of two binaries: f3write, and f3read. f3write fills a
+f3: file system up with 1GB files named NNNN.fff, where N is a number.
+f3: Whereas, f3read validates those files. If the content of all NNNN.fff
+f3: files is valid, the memory is fine. The last file may be less than
+f3: 1GB since f3write takes all available space for data.
+f3:
+f3: Project URL: http://oss.digirati.com.br/f3/